Exiv2: Exiv2::PanasonicMakerNote Class Reference

# Exiv2::PanasonicMakerNote Class Reference

MakerNote for Panasonic cameras. More...

`#include <panasonicmn.hpp>`

Inheritance diagram for Exiv2::PanasonicMakerNote:
[legend]
Collaboration diagram for Exiv2::PanasonicMakerNote:
[legend]

List of all members.

## Accessors
int | checkHeader () const
| Check the makernote header. This will typically check if a required prefix string is present in the header. Return 0 if successful.
AutoPtr | create (bool alloc=true) const
| Return an auto-pointer to an newly created, empty instance of the same type as this. The makernote entries are not copied. The caller owns the new object and the auto-pointer ensures that it will be deleted.
AutoPtr | clone () const
| Return an auto-pointer to a clone of this object. The caller owns the new object and the auto-pointer ensures that it will be deleted.
static const TagInfo * | tagList ()
| Return read-only list of built-in Panasonic tags.
## Public Types
typedef std::auto_ptr < PanasonicMakerNote > | AutoPtr
| Shortcut for a PanasonicMakerNote auto pointer.
## Public Member Functions
Creators
| PanasonicMakerNote (bool alloc=true)
| Constructor. Allows to choose whether or not memory management is required for the makernote entries.
| PanasonicMakerNote (const PanasonicMakerNote &rhs)
| Copy constructor.
virtual | ~PanasonicMakerNote ()
| Virtual destructor.
Manipulators
int | readHeader (const byte *buf, long len, ByteOrder byteOrder)
| Read the makernote header from the makernote databuffer. This method must set the offset to the start of the IFD (start_), if needed (assuming that the required information is in the header). Return 0 if successful.
## Static Public Member Functions
Print functions for Panasonic MakerNote tags
static std::ostream & | print0x000f (std::ostream &os, const Value &value)
| Print SpotMode.
static std::ostream & | print0x0023 (std::ostream &os, const Value &value)
| Print WhiteBalanceBias.

## Detailed Description

MakerNote for Panasonic cameras.

## Member Function Documentation

int Exiv2::PanasonicMakerNote::readHeader | ( | const byte * | buf,
|  | long | len,
|  | ByteOrder | byteOrder |
| ) |  |  | `[virtual]`

Read the makernote header from the makernote databuffer. This method must set the offset to the start of the IFD (start_), if needed (assuming that the required information is in the header). Return 0 if successful.

Note:
  The default implementation does nothing, assuming there is no header

Reimplemented from Exiv2::IfdMakerNote.

int Exiv2::PanasonicMakerNote::checkHeader | ( |  | ) | const`[virtual]`

Check the makernote header. This will typically check if a required prefix string is present in the header. Return 0 if successful.

Note:
  The default implementation does nothing, assuming there is no header

Reimplemented from Exiv2::IfdMakerNote.

AutoPtr Exiv2::PanasonicMakerNote::create | ( | bool | alloc = `true` | ) | const

Return an auto-pointer to an newly created, empty instance of the same type as this. The makernote entries are not copied. The caller owns the new object and the auto-pointer ensures that it will be deleted.

Parameters:

  | alloc | Memory management model for the newly created object. Indicates if memory required to store data should be allocated and deallocated (true) or not (false). If false, only pointers to the buffer provided to read() will be kept. See Ifd for more background on this concept.

Reimplemented from Exiv2::IfdMakerNote.

AutoPtr Exiv2::PanasonicMakerNote::clone | ( |  | ) | const

Return an auto-pointer to a clone of this object. The caller owns the new object and the auto-pointer ensures that it will be deleted.

Note:
  In non-alloc mode the clone potentially contains pointers to the same data buffer as the original. Use updateBase(byte* pNewBase) to adjust them.

Reimplemented from Exiv2::IfdMakerNote.

The documentation for this class was generated from the following file:

- panasonicmn.hpp